Community Forum

If you have questions about my software, chances are this forum has the answers.

You'll need to register before you can post on the forum to ask your question or to answer another one. A reply will be posted to each and every question that is asked so there is no need to double post or bump your post. I do my best to answer promptly but in some cases it may take a day or two. If you bump your post, it may be removed. Bear with me and I`ll get your question answered quickly.

Here are a few tips to help you to get your questions answered more rapidly.

IMPORTANT: Posts in English only. I don't have a translator and I'll be unable to understand your message properly and will probably delete it.
SEARCH: Use the search option to see if your question has been answered on the forum before now or if there is an answer in the documentation of your software.
PERSONAL SUPPORT: If you have purchased a commercial version of any software, using the contact option at the licence centre ensures a faster response.
AUTO DELETION: Accounts older than 5 days, with no posts or topics, are automatically deleted. Only register if you are thinking of posting.
LINKS: Any links posted are not clickable and must be copied / pasted into your browser address bar.

You are not logged in.

#1 ianhaven 27-02-2020 16:53:39

Went through the installation OK and it correctly picked up that it was being installed on 7.3 so validated that OpenSSL was available.  When trying to run system though it immediately fails as it is checking for mcrypt

#2 msworld 28-02-2020 05:48:50

It shouldn't check for mcrypt on PHP7.3. I have it on all PHP7 branches and it runs without asking for mcrypt. Are you sure it is running under PHP7.3?

#3 msworld 28-02-2020 06:15:21

I just double checked the code. It definitely won't error on PHP7.3 for mcrypt. So, double check your version. PHP7.1.0 or less will use mcrypt.

#4 ianhaven 28-02-2020 09:04:05

Sorry but it clearly errors on 7.2 and 7.3 but switching to 7.1 which has mcrypt enabled works fine.  Don't worry about it as unfortunately it doesn't offer the functionality that I need (you answered that in a direct pre-sales question I sent you).  It is a shame, as initial thoughts were that it looked good

Last edited by ianhaven (28-02-2020 09:04:40)

#5 msworld 28-02-2020 10:00:46

No problem Ian, sorry it wasn`t what you were looking for.

#6 Larsbirger 03-04-2020 18:16:02

I can confirm that the error appears also in php 7.2. I have installed Maian Affiliate on our server, and I get the same run time error complaining about mcrypt.

We are running a server on Mac OS X, with php 7.2.26 as a cgi module. I am going to try to run the software with php 5.6 and see if that helps.

Last edited by Larsbirger (03-04-2020 18:16:31)

#7 msworld 04-04-2020 04:47:49

Sorry guys I did find an error with the system checks. If you replace the following folder and contents:

control/system/core/*

I think that should fix it.

Apologies, I should have looked closer before. sad

#8 Larsbirger 04-04-2020 18:29:27

It's working now with php 7.2. Thanks. Will come back to you after testing.

#9 msworld 05-04-2020 15:15:18

Thanks for letting me know. smile

Board footer

Maian Script World - Free PHP Software for Personal or Business Use.
© 2003-2020 Maian Script World & David Ian Bennett.

2Checkout.com is an authorized reseller of goods and services provided by Maian Script World

Free PHP Software / Responsive PHP Scripts / Lightweight PHP Software / White Label PHP Software